<?php
/**
 * Created by PhpStorm.
 * User: Kaga
 * Date: 20/5/2016
 * Time: 3:57 PM
 */
return array(
	'name' => esc_html__('Countdown', 'rica'),
	'base' => 'g5plus_countdown',
	'class' => '',
	'icon' => 'fa fa-clock-o',
	'category' => GF_SHORTCODE_CATEGORY,
	'params' => array(
		array(
			'type' => 'datetimepicker',
			'heading' => esc_html__('Time Off', 'rica'),
			'param_name' => 'time',
		),

		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Color Scheme', 'rica'),
			'param_name' => 'color_scheme',
			'admin_label' => true,
			'value' => array(
				esc_html__('Light', 'rica') => '',
				esc_html__('Dark', 'rica') => 'cd-dark',),
			'description' => esc_html__('Select Color Scheme.', 'rica'),
			'std' => 'cd-dark',
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Color Text Display Time', 'rica'),
			'param_name' => 'color_time',
			'admin_label' => true,
			'value' => array(
				esc_html__('Primary', 'rica') => '',
				esc_html__('Light', 'rica') => 'time-light',
				esc_html__('Dark', 'rica') => 'time-dark',),
			'description' => esc_html__('Select Color Text Display Time.', 'rica'),
		),

		array(
			'type' => 'checkbox',
			'heading' => esc_html__('Show Month?', 'rica' ),
			'param_name' => 'show_month',
			'admin_label' => true,
			'value' => array(esc_html__('Yes, show', 'rica') => 'show'),
			'std' => 'false',
		),

		array(
			'type' => 'textfield',
			'heading' => esc_html__('Url Redirect', 'rica'),
			'param_name' => 'url_redirect',
			'value' => '',
		),
		vc_map_add_css_animation(),
		gf_vc_map_add_animation_duration(),
		gf_vc_map_add_animation_delay(),
		gf_vc_map_add_extra_class(),
		gf_vc_map_add_css_editor()
	)
);