<?php
return array(
	'name' => esc_html__('Event', 'rica'),
	'base' => 'g5plus_event',
	'class' => '',
	'icon' => 'fa fa-calendar',
	'category' => GF_SHORTCODE_CATEGORY,
	'params' => array(
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Layout Style', 'rica'),
			'param_name' => 'layout_style',
			'admin_label' => true,
			'value' => array(esc_html__('Slider', 'rica') => 'style1', esc_html__('List', 'rica') => 'style2'),
			'description' => esc_html__('Select Layout Style.', 'rica')
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Item Amount', 'rica'),
			'param_name' => 'item_amount',
			'value' => '10'
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Autoplay Timeout', 'rica'),
			'param_name' => 'autoplaytimeout',
			'description' => esc_html__('Autoplay interval timeout.', 'rica'),
			'value' => '',
			'dependency' => array(
				'element' => 'layout_style',
				'value' => 'style1',
			),
			'std' => 5000
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Title', 'rica'),
			'param_name' => 'title',
			'value' => ''
		),
		vc_map_add_css_animation(),
		gf_vc_map_add_animation_duration(),
		gf_vc_map_add_animation_delay(),
		gf_vc_map_add_extra_class(),
		gf_vc_map_add_css_editor()
	)
);