<?php

return array(
    'base'     => 'g5plus_heading',
    'name'     => esc_html__('Heading', 'rica'),
    'icon'     => 'fa fa-header',
    'category' => GF_SHORTCODE_CATEGORY,
    'params'   => array(
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Title', 'rica'),
            'param_name' => 'title',
            'value' => '',
            'admin_label' => true
        ),
        array(
            'type' => 'colorpicker',
            'heading' => esc_html__('Title Color','rica'),
            'param_name' => 'title_color',
            'std' => '#000',
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Letter spacing title', 'rica'),
            'param_name' => 'letter_spacing',
            'std' => '0.05',
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Sub Title', 'rica'),
            'param_name' => 'sub_title',
            'value' => '',
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Sub Title Color','rica'),
            'param_name' => 'subtitle_color',
            'value' => array(
                'Dark Color' => 'sb-d-color',
                'Light Color' => 'sb-l-color',
                'Primary Color' => 'sb-p-color',
            )
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Font Size','rica'),
            'param_name' => 'size',
            'value' => array(
                'Extra Large' => 'hd-ex-lg',
                'Large' => 'hd-lg',
                'Medium' => 'hd-md',
                'Small' => 'hd-sm',
            ),
            'std' => 'hd-lg',
        ),
        array(
            'type' => 'checkbox',
            'heading' => esc_html__('Has underline heading?', 'rica'),
            'param_name' => 'has_underline',
            'value' => array(esc_html__('Yes, please', 'rica') => 'has-underline'),
            'std' => '',
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Text Align', 'rica'),
            'param_name' => 'align',
            'admin_label' => true,
            'value' => array(
                esc_html__('Center', 'rica') => 'text-center',
                esc_html__('Left', 'rica') => 'text-left',
                esc_html__('Right', 'rica') => 'text-right'
            )
        ),
        vc_map_add_css_animation(),
        gf_vc_map_add_animation_duration(),
        gf_vc_map_add_animation_delay(),
        gf_vc_map_add_extra_class(),
        gf_vc_map_add_css_editor()
    )
);


