<?php
return array(
    'name'        => esc_html__( 'Our Team', 'rica' ),
    'base'        => 'g5plus_our_team_ctn',
    'icon' => 'fa fa-users',
    'as_parent'   => array('only' => 'g5plus_our_team_item'),
    'category' => GF_SHORTCODE_CATEGORY,
    'content_element' => true,
    'show_settings_on_create' => true,
    'params'      => array(
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Layout Style', 'rica'),
            'param_name' => 'layout_style',
            'admin_label' => true,
            'value' => array(
                esc_html__('Our Team Rounder', 'rica') => 'style1',
                esc_html__('Our Team Square', 'rica') => 'style2'),
            'description' => esc_html__('Select Layout Style.', 'rica'),
        ),
        array(
            'type'             => 'dropdown',
            'heading'          => esc_html__('Columns Display', 'rica'),
            'param_name'       => 'columns',
            'value'            => array('2' => 2, '3' => 3, '4' => 4),
            'edit_field_class' => 'vc_col-sm-8 vc_column',
        ),
        gf_vc_map_add_slider(),
        gf_vc_map_add_pagination(),
        gf_vc_map_add_navigation(),
        gf_vc_map_auto_play(),
        gf_vc_map_auto_play_time(),
        array(
            'type'             => 'dropdown',
            'heading'          => esc_html__('Color Schemes', 'rica'),
            'param_name'       => 'color_scheme',
            'value'            => array(
                'Light' => 'team-light',
                'Dark' => 'team-dark'),
        ),
        vc_map_add_css_animation(),
        gf_vc_map_add_animation_duration(),
        gf_vc_map_add_animation_delay(),
        gf_vc_map_add_extra_class(),
        gf_vc_map_add_css_editor()
    ),
    'js_view' => 'VcColumnView'
);
