<?php
return array(
	'name' => esc_html__('Space', 'rica'),
	'base' => 'g5plus_space',
	'class' => '',
	'icon' => 'fa fa-arrows-v',
	'category' => GF_SHORTCODE_CATEGORY,
	'description' => esc_html__('Blank Space', 'rica'),
	'params' => array(
		array(
			'type' => 'number',
			'class' => '',
			'heading' => __('<i class="fa fa-desktop"></i> Desktop', 'rica'),
			'param_name' => 'desktop',
			'admin_label' => true,
			'value' => 90,
			'min' => 1,
			'max' => 500,
			'suffix' => 'px',
			'description' => __('Enter value in pixels', 'rica'),
		),
		array(
			'type' => 'number',
			'class' => '',
			'heading' => __('<i class="fa fa-tablet" style="transform: rotate(90deg);"></i> Tablet', 'rica'),
			'param_name' => 'tablet',
			'admin_label' => true,
			'value' => 70,
			'min' => 1,
			'max' => 500,
			'suffix' => 'px',
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		array(
			'type' => 'number',
			'class' => '',
			'heading' => __('<i class="fa fa-tablet"></i> Tablet Portrait', 'rica'),
			'param_name' => 'tablet_portrait',
			'admin_label' => true,
			'value' => 60,
			'min' => 1,
			'max' => 500,
			'suffix' => 'px',
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		array(
			'type' => 'number',
			'class' => '',
			'heading' => __('<i class="fa fa-mobile" style="transform: rotate(90deg);"></i> Mobile Landscape', 'rica'),
			'param_name' => 'mobile_landscape',
			'admin_label' => true,
			'value' => 50,
			'min' => 1,
			'max' => 500,
			'suffix' => 'px',
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		array(
			'type' => 'number',
			'class' => '',
			'heading' => __('<i class="fa fa-mobile"></i> Mobile', 'rica'),
			'param_name' => 'mobile',
			'admin_label' => true,
			'value' => 40,
			'min' => 1,
			'max' => 500,
			'suffix' => 'px',
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		)
	)
);