<?php
return array(
	'name'     => esc_html__('Video', 'rica'),
	'base'     => 'g5plus_video',
	'class'    => '',
	'icon'     => 'fa fa-play-circle',
	'category' => GF_SHORTCODE_CATEGORY,
	'params'   => array(
		array(
			'type' => 'attach_image',
			'heading' => esc_html__('Image', 'rica'),
			'param_name' => 'image',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Image Size', 'rica' ),
			'param_name' => 'image_size',
			'value' => '',
			'std'=>'370x258',
			'description' => esc_html__( 'Enter image size. Example: 370x258 (Width x Height).', 'rica' ),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Link', 'rica' ),
			'param_name' => 'link',
			'value' => '',
			'description' => esc_html__( 'Enter link video', 'rica' ),
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__('Display content when hover?', 'rica'),
			'param_name' => 'display_hover',
			'value' => array(esc_html__('Yes, please', 'rica') => 'yes'),
		),
		array(
			'type' => 'textarea',
			'heading' => esc_html__( 'Content', 'rica' ),
			'param_name' => 'text',
			'value' => '',
			'dependency' => array(
				'element' => 'display_hover',
				'value' => 'yes',
			),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Button Text', 'rica' ),
			'param_name' => 'button_text',
			'value' => '',
			'dependency' => array(
				'element' => 'display_hover',
				'value' => 'yes',
			),
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Title', 'rica' ),
			'param_name' => 'title',
			'value' => '',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Sub Title', 'rica' ),
			'param_name' => 'sub_title',
			'value' => '',
		),
		gf_vc_map_add_extra_class(),
		vc_map_add_css_animation(),
		gf_vc_map_add_animation_duration(),
		gf_vc_map_add_animation_delay(),
		gf_vc_map_add_css_editor(),
	)
);