<?php
return array(
	'name'     => esc_html__('Cover Box', 'rica'),
	'base'     => 'g5plus_cover_box',
	'class'    => '',
	'icon'     => 'fa fa-newspaper-o',
	'category' => GF_SHORTCODE_CATEGORY,
	'params'   => array(
			array(
				'type' => 'textfield',
				'heading' => esc_html__('Item Active Index', 'rica'),
				'param_name' => 'active_index',
				'std' => '1',
				'admin_label' => true,
				'description' => esc_html__('Enter number index of item need active.', 'rica')
			),
			array(
				'type' => 'param_group',
				'heading' => esc_html__( 'Items', 'rica' ),
				'param_name' => 'values',
				'value' => urlencode( json_encode( array(
					array(
						'label' => esc_html__( 'Title', 'rica' ),
						'value' => '',
					),
				) ) ),
				'params' => array(
					array(
						'type' => 'attach_image',
						'heading' => esc_html__('Image:', 'rica'),
						'param_name' => 'image',
						'value' => '',
					),
					array(
						'type' => 'textfield',
						'heading' => esc_html__('Title', 'rica'),
						'param_name' => 'title',
						'admin_label' => true,
					),
					array(
						'type' => 'textarea',
						'heading' => esc_html__('Description', 'rica'),
						'param_name' => 'description',
						'value' => ''
					),
					array(
						'type' => 'vc_link',
						'heading' => esc_html__( 'Link (url)', 'rica' ),
						'param_name' => 'link',
						'value' => '',
					),
				),
			),
			gf_vc_map_add_extra_class(),
			vc_map_add_css_animation(),
			gf_vc_map_add_animation_duration(),
			gf_vc_map_add_animation_delay(),
			gf_vc_map_add_css_editor(),
	)
);