<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 5/17/2016
 * Time: 1:54 PM
 */
return array(
    'base' => 'g5plus_feature_box',
    'name' => esc_html__('Feature Box','rica'),
    'icon' => 'fa fa-th-list',
    'category' => GF_SHORTCODE_CATEGORY,
    'params' => array(
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Layout Style', 'rica'),
            'param_name' => 'layout',
            'value' => array(
                esc_html__('Default','rica') => 'default',
            ),
            'admin_label' => true,
        ),

        array(
            'type' => 'attach_image',
            'heading' => esc_html__('Image', 'rica'),
            'param_name' => 'feature_image',
        ),

        array(
            'type' => 'checkbox',
            'heading' => esc_html__('Add Video?', 'rica'),
            'param_name' => 'add_video',
            'value' => array(esc_html__('Yes, please', 'rica') => 'yes'),
            'std' => '',
            'edit_field_class' => 'vc_col-sm-6 vc_column'
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__('Link Video', 'rica'),
            'param_name' => 'link_video',
            'value' => '',
            'edit_field_class' => 'vc_col-sm-6 vc_column',
            'dependency' => array(
                'element' => 'add_video',
                'value' => 'yes',
            ),
        ),



        array(
            'type' => 'textfield',
            'heading' => esc_html__('Title', 'rica' ),
            'param_name' => 'title',
            'value' => '',
            'admin_label' => true,
        ),

        array(
            'type' => 'checkbox',
            'heading' => esc_html__('Add Icon Title?', 'rica'),
            'param_name' => 'add_icon',
            'value' => array(esc_html__('Yes, please', 'rica') => 'yes'),
            'std' => '',
        ),

        gf_vc_map_add_icon_type(array(
            'element' => 'add_icon',
            'value' => 'yes',
        )),
        gf_vc_map_add_icon_font(),
        gf_vc_map_add_icon_image(),

        array(
            'type' => 'textarea',
            'heading' => esc_html__('Description', 'rica'),
            'param_name' => 'description',
            'value' => '',
            'description' => esc_html__('Provide the description for this element.', 'rica'),
        ),

        array(
            'type' => 'vc_link',
            'heading' => esc_html__('Link (url)', 'rica'),
            'param_name' => 'link',
            'value' => '',
        ),

        vc_map_add_css_animation(),
        gf_vc_map_add_animation_duration(),
        gf_vc_map_add_animation_delay(),
        gf_vc_map_add_extra_class(),
        gf_vc_map_add_css_editor()
    )
);