<?php
/**
 * Created by PhpStorm.
 * User: phuongth
 * Date: 7/16/2016
 * Time: 4:09 PM
 */
$post_per_page = $atts['total_items'] && is_numeric($atts['total_items']) ? $atts['total_items'] : -1;
$args = array(
    'offset'         => 0,
    'post_name__in'  => explode(",", $atts['gallery_slugs']),
    'posts_per_page' => -1,
    'post_type'      => GF_GALLERY_POST_TYPE,
    'post_status'    => 'publish');

if ($atts['data_source'] == '') {
    $args = array(
        'offset'                     => 0,
        'posts_per_page'             => $post_per_page,
        'post_type'                  => GF_GALLERY_POST_TYPE,
        GF_GALLERY_CATEGORY_TAXONOMY => strtolower($atts['category']),
        'post_status'                => 'publish');
}

$data_gallery = new WP_Query($args);
$section_id = uniqid();
$item_class = 'w-item';
$width = $height = 385;
$index = $thumbail_id = $thumbnail_url = $image_full_url = 0;
$atts['class_wrap'][] = 'gallery-wrap';
$gallery_id = rand();

$responsive =  $atts['columns'];
if($atts['columns'] >= 4){
    $responsive = 3;
}
if($atts['columns'] == 3){
    $responsive = 2;
}
if($atts['columns'] == 2){
    $responsive = 2;
}
$owl_attributes = array(
    '"items": ' . $atts['columns'],
    '"dots": false',
    '"nav": ' . ($atts['is_nav'] ? 'true' : 'false'),
    '"loop":'. $atts['is_loop'],
    '"autoplay": ' . ( $atts['is_auto'] ? 'true' : 'false'),
    '"responsive": {"0":{"items": 1},"320":{"items": 1},"600":{"items": 2},"991":{"items": '.$responsive.'},"1200":{"items": ' . $atts['columns'] . '}}',
);
$owl_attributes = "data-plugin-options='{". implode(', ', $owl_attributes) ."}'";
$alt = '';
?>
<div class="<?php echo join(' ', $atts['class_wrap']) ?>" id="gallery-<?php echo esc_attr($gallery_id); ?>">
    <div class="gallery-items owl-carousel"  <?php echo sprintf('%s',$owl_attributes) ?>>
        <?php while ($data_gallery->have_posts()) : $data_gallery->the_post();
            if (has_post_thumbnail()) {

                $thumbail_id = get_post_thumbnail_id();
                $alt = get_the_title($thumbail_id);
                $thumbnail_url = matthewruddy_image_resize_id($thumbail_id, $width, $height);
                $image_full_url = wp_get_attachment_image_src($thumbail_id, 'full' );
                $image_full_url = isset($image_full_url[0]) ? $image_full_url[0] : '';

                ?>
                <div class="gallery-item <?php echo ($atts['is_grayscale'] ? 'item-grayscale' : '') ; ?> ">
                    <img src="<?php echo esc_attr($thumbnail_url) ?>" alt="<?php echo esc_attr($alt) ?>">
                    <div class="hover-wrap">
                        <div class="hover-inner">
                            <div class="title fs-24 uppercase fw-bold">
                                <?php the_title(); ?>
                            </div>
                            <div class="excerpt text-italic fs-16">
                                <?php the_excerpt(); ?>
                            </div>
                        </div>
                        <a class="light-gallery" data-gallery-id="<?php echo esc_attr($gallery_id); ?>" href="<?php echo esc_url($image_full_url) ?>" data-rel='lightGallery' data-thumb-src="<?php echo esc_attr($thumbnail_url) ?>">
                            <i class="fa fa-expand" aria-hidden="true"></i>
                        </a>
                    </div>
                </div>

            <?php } ?>

        <?php endwhile;
        wp_reset_postdata();
        ?>
    </div>


</div>