<?php
/**
 * Created by PhpStorm.
 * User: phuongth
 * Date: 6/30/2016
 * Time: 10:11 AM
 */

$list_menu_foods = gf_menu_food_get_post();

return array(
    'base'     => 'g5plus_menu_food_opp',
    'name'     => esc_html__('Menu Food Opp', 'rica'),
    'icon'     => 'fa fa-cutlery',
    'category' => GF_SHORTCODE_CATEGORY,
    'params'   => array(
        array(
            'type' => 'select2',
            'heading' => esc_html__('Select menu item', 'rica'),
            'param_name' => 'menu_food_slugs',
            'options' => $list_menu_foods,
            'multiple' => true
        ),
        gf_vc_map_add_icon_type(),
        gf_vc_map_add_icon_font(),
        gf_vc_map_add_icon_image(),
        array(
            'type'       => 'attach_image',
            'heading'    => esc_html__('Image Background:', 'rica'),
            'param_name' => 'image',
            'value'      => ''
        ),
        array(
            'type'        => 'dropdown',
            'heading'     => esc_html__('Image location', 'rica'),
            'param_name'  => 'image_location',
            'admin_label' => true,
            'value'       => array(
                esc_html__('Col right', 'rica') => 'image-right',
                esc_html__('Col left', 'rica')  => 'image-left')
        ),
        vc_map_add_css_animation(),
        gf_vc_map_add_animation_duration(),
        gf_vc_map_add_animation_delay(),
        gf_vc_map_add_extra_class(),
        gf_vc_map_add_css_editor()
    )
);