<?php
/**
 * Created by PhpStorm.
 * User: phuongth
 * Date: 6/30/2016
 * Time: 10:11 AM
 */

$food_cats = gf_product_get_categories();
$list_menu_foods = gf_product_get_post();

return array(
    'base'     => 'g5plus_menu_food_product_tab_classic',
    'name'     => esc_html__('Menu Food Product Tab Classic', 'rica'),
    'icon'     => 'fa fa-cutlery',
    'category' => GF_SHORTCODE_CATEGORY,
    'params'   => array(
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Select source', 'rica'),
            'param_name' => 'data_source',
            'admin_label' => true,
            'value' => array(
                esc_html__('From Category', 'rica') => '',
                esc_html__('From Product Items', 'rica') => 'list_items')
        ),

        array(
            'type' => 'select2',
            'heading' => esc_html__('Select category', 'rica'),
            'param_name' => 'category',
            'admin_label' => true,
            'options' => $food_cats,
            'multiple' => true,
            'dependency' => Array('element' => 'data_source', 'value' => array(''))
        ),
        array(
            'type' => 'select2',
            'heading' => esc_html__('Select menu item', 'rica'),
            'param_name' => 'menu_food_slugs',
            'options' => $list_menu_foods,
            'multiple' => true,
            'dependency' => Array('element' => 'data_source', 'value' => array('list_items'))
        ),
        array(
            'type'             => 'textfield',
            'heading'          => esc_html__('Total of item', 'rica'),
            'param_name'       => 'total_items',
            'value'            => '',
            'edit_field_class' => 'vc_col-sm-4 vc_column',
            'dependency' => Array('element' => 'data_source', 'value' => array(''))
        ),
        vc_map_add_css_animation(),
        gf_vc_map_add_animation_duration(),
        gf_vc_map_add_animation_delay(),
        gf_vc_map_add_extra_class(),
        gf_vc_map_add_css_editor()
    )
);