<?php
/**
 * Created by PhpStorm.
 * User: phuongth
 * Date: 7/6/2016
 * Time: 2:00 PM
 */
wp_enqueue_style(GF_PLUGIN_PREFIX . 'menu-food-tab-classic', plugins_url(GF_PLUGIN_NAME . '/shortcodes/menu-food-tab-classic/assets/css/menu-food.min.css'), array(), false, 'all');

$atts = vc_map_get_attributes($this->getShortcode(), $atts);

$class_to_filter = vc_shortcode_custom_css_class($atts['css'], ' ');
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);
$class_wrap[] = $css_class;
$class_wrap[] = $this->getExtraClass($atts['el_class']);
$class_wrap[] = $this->getCSSAnimation($atts['css_animation']);
$atts['class_wrap'] = $class_wrap;
$post_per_page = $atts['total_items'] ? $atts['total_items'] : -1;
$args = array(
    'post_name__in'  => explode(",", $atts['menu_food_slugs']),
    'posts_per_page' => $post_per_page,
    'post_type'      => GF_MENU_FOOD_POST_TYPE,
    'post_status'    => 'publish');

if ($atts['data_source'] == '') {
    $args = array(
        'posts_per_page'               => $post_per_page,
        'post_type'                    => GF_MENU_FOOD_POST_TYPE,
        GF_MENU_FOOD_CATEGORY_TAXONOMY => strtolower($atts['category']),
        'post_status'                  => 'publish');
}
$atts['class_wrap'][] = 'menu-tab-classic-wrap';

$menu_foods = new WP_Query($args);
?>
<div class="<?php echo implode(' ', $atts['class_wrap']); ?>">
    <ul>
        <?php
        $index = 0;
        while ($menu_foods->have_posts()) : $menu_foods->the_post(); ?>
            <li>
            <span class="index">
                <?php if (++$index < 10) {
                    echo '0' . wp_kses_post($index);
                } else {
                    echo wp_kses_post($index);
                }
                ?>
            </span>
                <div class="menu-info">
                    <span class="title fs-18"><?php the_title(); ?></span>
                    <span class="price "><?php echo get_post_meta(get_the_ID(), 'food-price', true) ?></span>
                    <div class="excerpt"> <?php the_excerpt(); ?> </div>
                </div>
            </li>
        <?php endwhile;
        wp_reset_postdata();
        ?>
    </ul>

</div>
