<?php
return array(
    'name' => esc_html__( 'Our Team Item', 'rica' ),
    'base' => 'g5plus_our_team_item',
    'icon' => 'fa fa-user',
    'as_child' => array('only' => 'g5plus_our_team_ctn'),
    'edit_field_class' => 'vc_col-sm-4 vc_column',
    'category' => GF_SHORTCODE_CATEGORY,
    'params' => array(
        array(
            'type' => 'attach_image',
            'heading' => esc_html__('Avatar:', 'rica'),
            'param_name' => 'avatar',
            'value' => '',
            'description' => esc_html__('Choose the author picture.', 'rica'),
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Name', 'rica'),
            'param_name' => 'author',
            'admin_label' => true,
            'description' => esc_html__('Enter Author information.', 'rica')
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Job', 'rica'),
            'param_name' => 'author_job',
            'admin_label' => true,
            'description' => esc_html__('Enter Author information.', 'rica')
        ),
        array(
            'type' => 'textarea',
            'heading' => esc_html__('Info', 'rica'),
            'param_name' => 'author_info',
            'value' => ''
        ),
        array(
            'type' => 'vc_link',
            'heading' => esc_html__('Link', 'rica'),
            'param_name' => 'author_link',
            'value' => ''
        ),
        array(
            'type' => 'param_group',
            'heading' => esc_html__( 'Social Icon', 'rica' ),
            'param_name' => 'social_icons',
            'value' => urlencode( json_encode( array(
//                array(
//                    'label' => esc_html__( 'Social Icons', 'rica' ),
//                    'value' => '',
//                ),
            ) ) ),
            'params' => array(
                gf_vc_map_add_icon_type(),
                gf_vc_map_add_icon_font(),
                gf_vc_map_add_icon_image(),
                array(
                    'type' => 'vc_link',
                    'heading' => esc_html__('Link Social Icon(url)', 'rica'),
                    'param_name' => 'social_link',
                    'value' => '',
                ),
            ),
        ),

        vc_map_add_css_animation(),
        gf_vc_map_add_animation_duration(),
        gf_vc_map_add_animation_delay(),
        gf_vc_map_add_extra_class(),
        gf_vc_map_add_css_editor()
    )
);
