<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 5/21/2016
 * Time: 2:33 PM
 */
?>

<?php foreach ($atts['social_icons'] as $data): ?>
    <?php $icon_type = isset( $data['icon_type'] ) ? $data['icon_type'] : ''; ?>
    <?php $icon_font = isset( $data['icon_font'] ) ? $data['icon_font'] : ''; ?>
    <?php $social_link = isset( $data['social_link'] ) ? $data['social_link'] : ''; ?>
    <?php
    // icon html
    $icon_html = '';
    $icon_attributes = array();
    if ($icon_type == 'image') {
        if (!empty($atts['icon_image'])) {
            $icon_image_id = preg_replace( '/[^\d]/', '', $atts['icon_image'] );
            $icon_image_src = wp_get_attachment_image_src( $icon_image_id, 'full' );
            if ( ! empty( $icon_image_src[0] ) ) {
                $icon_image_src = $icon_image_src[0];
                $icon_html = '<img alt="'. the_title_attribute(array('post' => $icon_image_id,'echo' => false )) .'" src="'. esc_url($icon_image_src) .'">';
            }
        }
    } else {
        $icon_html = '<i '. implode(' ',$icon_attributes) .' class="'. esc_attr($icon_font).'"></i>';
    }
    //link
    $link_attributes = array();
    $social_link = ( '||' === $social_link ) ? '' : $social_link;
    $social_link = vc_build_link( $social_link );
    $use_link = false;
    if ( strlen( $social_link['url'] ) > 0 ) {
        $use_link = true;
        $a_href = $social_link['url'];
        $a_title = $social_link['title'];
        $a_target = $social_link['target'];
    } else {
        $a_href = '';
    }

    $link_attributes[] = 'href="' . esc_url( trim( $a_href ) ) . '"';
    if (!empty($a_title)) {
        $link_attributes[] = 'title="' . esc_attr( trim( $a_title ) ) . '"';
    }
    if ( ! empty( $a_target ) ) {
        $link_attributes[] = 'target="' . esc_attr( trim( $a_target ) ) . '"';
    }

    ?>
    <?php if(!empty($a_href)):?>
        <a <?php echo implode(' ', $link_attributes); ?>>
            <?php echo $icon_html;?>
        </a>
    <?php endif;?>
<?php endforeach; ?>