<?php
if(!function_exists('rica_load_product_callback')){
    function rica_load_product_callback()
    {
        $args = array(
            'post_type' => 'product',
            'ajax' => 1
        );
        if(isset( $_REQUEST['cate'])){
            $args['cate'] = $_REQUEST['cate'];
        }
        if(isset( $_REQUEST['align_cate'])){
            $args['align'] = $_REQUEST['align_cate'];
        }
        if(isset( $_REQUEST['item_per_page'])){
            $args['items'] = $_REQUEST['item_per_page'];
        }
        if(isset( $_REQUEST['columns'])){
            $args['columns'] = $_REQUEST['columns'];
        }
        if(isset( $_REQUEST['show_rating'])){
            $args['rating'] = $_REQUEST['show_rating'];
        }
        if(isset( $_REQUEST['show_quickview'])){
            $args['quickview'] = $_REQUEST['show_quickview'];
        }
        if(isset( $_REQUEST['tag'])){
            $args['tag'] = $_REQUEST['tag'];
        }
        require_once( G5PLUS_THEME_DIR . 'woocommerce/woocommerce.php' );
        ob_start();
        wc_get_template('archive-product.php',$args);
        $ret = ob_get_contents();
        ob_end_clean();
        echo $ret;
        wp_die();
    }
    add_action("wp_ajax_nopriv_gf_archive_product_ajax", 'rica_load_product_callback');
    add_action("wp_ajax_gf_archive_product_ajax", 'rica_load_product_callback');
}

if(!function_exists('rica_load_product_by_price_callback')){
    function rica_load_product_by_price_callback()
    {
        $args = array(
            'post_type' => 'product',
            'ajax' => 1
        );
        if(isset( $_REQUEST['min_price'])){
            $args['min_price'] = $_REQUEST['min_price'];
        }
        if(isset( $_REQUEST['max_price'])){
            $args['max_price'] = $_REQUEST['max_price'];
        }
        if(isset( $_REQUEST['align_cate'])){
            $args['align'] = $_REQUEST['align_cate'];
        }
        if(isset( $_REQUEST['item_per_page'])){
            $args['items'] = $_REQUEST['item_per_page'];
        }
        if(isset( $_REQUEST['columns'])){
            $args['columns'] = $_REQUEST['columns'];
        }
        if(isset( $_REQUEST['show_rating'])){
            $args['rating'] = $_REQUEST['show_rating'];
        }
        if(isset( $_REQUEST['show_quickview'])){
            $args['quickview'] = $_REQUEST['show_quickview'];
        }
        require_once( G5PLUS_THEME_DIR . 'woocommerce/woocommerce.php' );
        ob_start();
        wc_get_template('archive-product.php',$args);
        $ret = ob_get_contents();
        ob_end_clean();
        echo $ret;
        wp_die();
    }
    add_action("wp_ajax_nopriv_gf_archive_product_price_ajax", 'rica_load_product_by_price_callback');
    add_action("wp_ajax_gf_archive_product_price_ajax", 'rica_load_product_by_price_callback');
}

if(!function_exists('rica_load_view_more_product_callback')){
    function rica_load_view_more_product_callback()
    {
        $args = array(
            'post_type' => 'product',
            'ajax' => 1
        );
        if(isset( $_REQUEST['cate'])){
            $args['cate'] = $_REQUEST['cate'];
        }
        if(isset( $_REQUEST['align_cate'])){
            $args['align'] = $_REQUEST['align_cate'];
        }
        if(isset( $_REQUEST['item_per_page'])){
            $args['items'] = $_REQUEST['item_per_page'];
        }
        if(isset( $_REQUEST['columns'])){
            $args['columns'] = $_REQUEST['columns'];
        }
        if(isset( $_REQUEST['show_rating'])){
            $args['rating'] = $_REQUEST['show_rating'];
        }
        if(isset( $_REQUEST['show_quickview'])){
            $args['quickview'] = $_REQUEST['show_quickview'];
        }
        if(isset( $_REQUEST['current_page'])){
            $args['current_page'] = $_REQUEST['current_page'];
        }
        if(isset( $_REQUEST['addition_attr']) && is_array($_REQUEST['addition_attr']) && count($_REQUEST['addition_attr']) > 0){
            $args['addition_attr'] = $_REQUEST['addition_attr'];
        }

        require_once( G5PLUS_THEME_DIR . 'woocommerce/woocommerce.php' );
        ob_start();
        wc_get_template('archive-product.php',$args);
        $ret = ob_get_contents();
        ob_end_clean();
        echo $ret;
        wp_die();
    }
    add_action("wp_ajax_nopriv_gf_viewmore_ajax", 'rica_load_view_more_product_callback');
    add_action("wp_ajax_gf_viewmore_ajax", 'rica_load_view_more_product_callback');
}