<?php
/**
 * The template for displaying content large image
 *
 * @package WordPress
 * @subpackage Theme_Name
 * @since Theme_Version 1.0
 */
$size = 'medium-image';
$title_post = get_the_title();
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('post-medium-image clearfix'); ?>>
    <?php g5plus_get_post_thumbnail($size,1); ?>
    <div class="entry-content-wrap">
        <?php if(!empty($title_post)):?>
            <h3 class="entry-post-title">
                <a title="<?php the_title(); ?>" href="<?php echo get_permalink(); ?>">
                    <i class="pe-7s-ticket"></i>
                    <?php the_title(); ?>
                </a>
            </h3>
            <div class="entry-meta-date"> <?php date_i18n(the_time(get_option('date_format'))); ?></div>
        <?php else:?>
            <div class="entry-meta-date"><a href="<?php echo esc_url(get_permalink()); ?>"><?php date_i18n(the_time(get_option('date_format'))); ?></a></div>
        <?php endif;?>
    </div>
</article>
