<?php
/**
 * The template for displaying content medium image
 *
 * @package WordPress
 * @subpackage Theme_Name
 * @since Theme_Version 1.0
 */
$size = 'medium-image';
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('post-medium-image clearfix'); ?>>
	<div class="entry-content-wrap clearfix">
		<?php g5plus_get_post_thumbnail($size); ?>
		<div class="entry-content-inner">
			<h3 class="entry-post-title">
				<i class="pe-7s-ticket"></i>
				<a title="<?php the_title(); ?>" href="<?php echo get_permalink(); ?>"><?php the_title(); ?></a>
			</h3>
			<div class="entry-meta-wrap clearfix">
				<?php get_template_part('templates/archive/post-meta-cate'); ?>
			</div>
			<div class="entry-excerpt ">
				<?php the_excerpt(); ?>
			</div>
			<a href="<?php echo get_permalink() ?>" class="read-more bt bt-md bt-border bt-dark bt-bd-medium"><?php esc_html_e('Read more','rica'); ?></a>
		</div>
	</div>
</article>
