<?php
/**
 * The template for displaying post meta
 *
 * @package WordPress
 * @subpackage Theme_Name
 * @since Theme_Version 1.0
 */
?>
<div class="entry-post-meta">
	<div class="entry-meta-author">
		<i class="pe-7s-users"></i>
		<?php printf('<a href="%1$s">%2$s</a>',esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),esc_html( get_the_author() )); ?>
	</div>
	<div class="entry-meta-date">
		<i class="pe-7s-clock"></i> <?php the_time(get_option('date_format')); ?>
	</div>
	<?php if ( comments_open() || get_comments_number() ) : ?>
		<div class="entry-meta-comment">
			<?php comments_popup_link( wp_kses_post(__('<i class="pe-7s-comment"></i> 0 Comment','rica')), wp_kses_post(__('<i class="pe-7s-comment"></i> 1 Comment','rica')), wp_kses_post(__('<i class="pe-7s-comment"></i> % Comments','rica')), '', ''); ?>
		</div>
	<?php endif; ?>
	<?php edit_post_link(esc_html__( 'Edit', 'rica' ), '<div class="edit-link"><i class="pe-7s-note"></i> ', '</div>' ); ?>
</div>
