<?php
/**
 * The template for displaying breadcrumb
 *
 * @package WordPress
 * @subpackage Theme_Name
 * @since Theme_Version 1.0
 */
if (!is_front_page()) :
    $items = g5plus_get_breadcrumb_items();
    ?>
    <ul class="breadcrumbs">
        <?php echo join("", $items); ?>
    </ul>
<?php else: ?>
    <ul class="breadcrumbs">
        <li><a href="<?php echo home_url('/') ?>" class="home"><?php esc_html_e('Home', 'rica'); ?></a></li>
        <?php if(is_archive()):?>
                <li><span><?php esc_html_e('Blog', 'rica'); ?></span></li>
        <?php else:?>
            <li><span><?php echo get_the_title();?></span></li>
        <?php endif;?>
    </ul>
<?php endif; ?>