<?php
/**
 * The template used for displaying wrapper end
 *
 * @package WordPress
 * @subpackage Theme_Name
 * @since Theme_Version 1.0
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

$page_layouts = isset($_GET['layout']) ? $_GET['layout'] : '';
if (!$page_layouts) {
	$page_layouts = g5plus_get_option('layout','container');
}

// set sidebar_layout
$sidebar_layout = isset($_GET['sidebar-layout']) ? $_GET['sidebar-layout'] : '';
if(!$sidebar_layout) {
	$sidebar_layout = g5plus_get_option('sidebar_layout','left');
}

if (is_singular()) {
	// custom sidebar layout
	$sidebar_layout_custom = g5plus_get_rwmb_meta('custom_page_sidebar_layout',array(),get_the_ID());
	if(($sidebar_layout_custom !== false) && ($sidebar_layout_custom !== '') && ($sidebar_layout_custom != '-1')) {
		$sidebar_layout = $sidebar_layout_custom;
	}
}

$sidebar =  g5plus_get_option('sidebar','main-sidebar');

if(isset($_REQUEST['no-sidebar'])){
	$sidebar_layout = 'none';
	$sidebar = '';
}

?>
</div><!-- End Layout Inner -->
<?php
if ( is_active_sidebar($sidebar) && ($sidebar_layout != 'none')){
	get_sidebar();
}
?>
<?php if ( is_active_sidebar($sidebar) && ($sidebar_layout != 'none') && ($page_layouts != 'full') ) : ?>
	</div><!-- End Row -->
<?php endif; ?>
<?php if ($page_layouts != 'full'): ?>
	</div><!-- End Container -->
<?php endif;?>
</div><!--End Main -->
