<?php
/**
 * The template for displaying content related
 *
 * @package WordPress
 * @subpackage Theme_Name
 * @since Theme_Version 1.0
 */
$size = 'medium-image';
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('post-related clearfix'); ?>>
	<?php g5plus_get_post_thumbnail( $size, 1 ); ?>
	<div class="entry-content-wrap">
		<div class="entry-content-inner">
			<h3 class="entry-post-title"><a title="<?php the_title(); ?>" href="<?php echo get_permalink(); ?>"><?php the_title(); ?></a></h3>
			<p class="entry-date"><?php the_time(get_option('date_format')); ?></p>
		</div>
	</div>
</article>
