<?php
/**
 * Created by PhpStorm.
 * User: phuongth
 * Date: 5/11/2016
 * Time: 2:57 PM
 */
get_header();
wp_enqueue_style(GF_PLUGIN_PREFIX . 'portfolio-single-css', plugins_url(GF_PLUGIN_NAME . '/cpt/portfolio/assets/css/single-portfolio.css'), array(), false, 'all');

if ( have_posts() ) {
    // Start the Loop.
    while ( have_posts() ) : the_post();
        $post_id = get_the_ID();
        $template_args = array();
        $categories = get_the_terms($post_id, G5PLUS_PORTFOLIO_CATEGORY_TAXONOMY);
        $template_args['portfolio_date'] = get_post_meta($post_id, 'portfolio-date', true );
        $template_args['portfolio_location'] = get_post_meta($post_id, 'portfolio-location', true );
        $template_args['portfolio_value'] = get_post_meta($post_id,'portfolio-value',true);
        $template_args['video'] = rwmb_meta( 'portfolio-value');
        $template_args['tags'] = get_the_terms( $post_id, 'post_tag');
        $template_args['meta_values'] = get_post_meta( get_the_ID(), 'portfolio-format-gallery', false );
        $template_args['imgThumbs'] = wp_get_attachment_image_src(get_post_thumbnail_id($post_id),'full');
        $cat = '';
        $arrCatId = array();
        if($categories){
            foreach($categories as $category) {
                $cat .= $category->name.', ';
                $arrCatId[count($arrCatId)] = $category->term_id;
            }
            $template_args['cat'] = trim($cat, ', ');
        }
        $detail_style =  get_post_meta(get_the_ID(),'portfolio_detail_style',true);
        if (!isset($detail_style) || $detail_style == 'none' || $detail_style == '') {
            $detail_style = $g5plus_options['portfolio-single-style'];
        }
        G5plus_FrameWork_CPT::get_cpt_template("/portfolio/templates/$detail_style.php",$template_args);

    endwhile;
}
?>

<?php
//related portfolio
if(isset($g5plus_options['show_portfolio_related']) && $g5plus_options['show_portfolio_related']=='1' )
    G5plus_FrameWork_CPT::get_cpt_template('/portfolio/templates/related.php');
?>
<?php get_footer(); ?>
