<?php
return array(
	'name' => esc_html__('Counter', 'rica'),
	'base' => 'g5plus_counter',
	'class' => '',
	'icon' => 'fa fa-tachometer',
	'category' => GF_SHORTCODE_CATEGORY,
	'params' => array(
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Title', 'rica'),
			'param_name' => 'title',
			'value' => '',
			'admin_label' => true,
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Start', 'rica'),
			'param_name' => 'start',
			'value' => '',
			'std'=> '0',
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('End', 'rica'),
			'param_name' => 'end',
			'value' => '',
			'std'=> '1000',
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Decimals', 'rica'),
			'param_name' => 'decimals',
			'value' => '',
			'std'=> '0',
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Duration', 'rica'),
			'param_name' => 'duration',
			'value' => '',
			'std'=> '2,5',
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Separator', 'rica'),
			'param_name' => 'separator',
			'value' => '',
			'std'=> ',',
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Decimal', 'rica'),
			'param_name' => 'decimal',
			'value' => '',
			'std'=> '.',
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Prefix', 'rica'),
			'param_name' => 'prefix',
			'value' => '',
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Suffix', 'rica'),
			'param_name' => 'suffix',
			'value' => '',
			'edit_field_class' => 'vc_col-sm-6 vc_column'
		),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Color Scheme', 'rica'),
			'param_name' => 'color_scheme',
			'admin_label' => true,
			'value' => array(
				esc_html__('Dark', 'rica') => 'color-dark',
				esc_html__('Light', 'rica') => 'color-light'
			),
			'std' => 'color-dark',
			'description' => esc_html__('Select Color Scheme.', 'rica')
		),
		gf_vc_map_add_extra_class(),
		gf_vc_map_add_css_editor()
	)
);