<?php
/**
 * Created by PhpStorm.
 * User: phuongth
 * Date: 5/19/2016
 * Time: 10:56 AM
 */
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );

// style
$style = $this->getStyleAnimation($atts['animation_duration'], $atts['animation_delay']);
if(sizeof($style) > 0){
    $style = 'style="' . implode( ' ', $style ) . '"';
}else{
    $style = '';
}

$style_title = array();
$style_title[] = "color:".$atts['title_color'];
if($atts['letter_spacing'] != ''){
    $style_title[] = "letter-spacing:".$atts['letter_spacing']."em";
}
if(sizeof($style_title) > 0){
    $style_title = 'style="'. join(';',$style_title).'"';
}else{
    $style_title = '';
}
$style_subtitle = array();



$class_to_filter = vc_shortcode_custom_css_class( $atts['css'], ' ' );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );

$heading_class[] = $css_class;
$heading_class[] = 'heading-wrap';
$heading_class[] = $atts['size'];
$heading_class[] = $atts['align'];
$heading_class[] = $atts['has_underline'];
$heading_class[] = $this->getExtraClass( $atts['el_class'] );
$heading_class[] = $this->getCSSAnimation($atts['css_animation']);

?>
<?php if(!empty($atts['sub_title']) && !empty($atts['title'])):?>
<div class="<?php echo esc_attr(implode(' ',$heading_class)) ?>"   <?php echo esc_attr($style) ?>>
    <?php if($atts['sub_title']):?>
        <div class="heading-sub-title s-font <?php echo esc_attr($atts['subtitle_color'])?>"><?php echo wp_kses_post($atts['sub_title']) ?></div>
    <?php endif; ?>
    <?php if($atts['title']):?>
        <h2 <?php echo ($style_title) ?>><?php echo wp_kses_post($atts['title']) ?></h2>
    <?php endif; ?>
</div>
<?php endif;?>