<?php
return array(
	'name' => esc_html__('Image Box', 'rica'),
	'base' => 'g5plus_image_box',
	'class' => '',
	'icon' => 'fa fa-image',
	'category' => GF_SHORTCODE_CATEGORY,
	'as_parent' => array('only' => 'vc_raw_html,vc_wp_text,vc_column_text'),
	'content_element' => true,
	'show_settings_on_create' => true,
	'is_container' => true,
	'params' => array(
		array(
			'type' => 'attach_image',
			'heading' => esc_html__('Image', 'rica'),
			'param_name' => 'image',
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__( 'Image Size', 'rica' ),
			'param_name' => 'image_size',
			'value' => '',
			'std'=>'370x305',
			'description' => esc_html__( 'Enter image size. Example: 370x258 (Width x Height).', 'rica' ),
		),
		array(
			'type' => 'checkbox',
			'heading' => esc_html__('Show image when hover', 'rica'),
			'param_name' => 'hover_active',
			'std' => 'false',
		),
		vc_map_add_css_animation(),
		gf_vc_map_add_animation_duration(),
		gf_vc_map_add_animation_delay(),
		gf_vc_map_add_extra_class(),
		gf_vc_map_add_css_editor()
	),
	'js_view' => 'VcColumnView'
);