<?php
/**
 * Created by PhpStorm.
 * User: phuongth
 * Date: 7/1/2016
 * Time: 3:22 PM
 */

if(!function_exists('gf_menu_food_price_output')){
    function gf_menu_food_price_output($post_id){
        $price = get_post_meta($post_id, 'food-price', true);
        if($price){
            return '<span class="price text-color-accent">'.$price.'</span>';
        }
        return '';
    }
}
add_filter('gf_menu_food_prices','gf_menu_food_price_output');

wp_enqueue_style('ladda', plugins_url(GF_PLUGIN_NAME . '/shortcodes/menu-food/assets/js/ladda/ladda.min.css'), array(), false, 'all');
wp_enqueue_script('ladda-spin', plugins_url(GF_PLUGIN_NAME. '/shortcodes/menu-food/assets/js/ladda/spin.min.js'), false, true);
wp_enqueue_script('ladda', plugins_url(GF_PLUGIN_NAME. '/shortcodes/menu-food/assets/js/ladda/ladda.min.js'), false, true);

wp_enqueue_script(GF_PLUGIN_PREFIX . 'menu-food', plugins_url(GF_PLUGIN_NAME . '/shortcodes/menu-food/assets/js/menu-food.js'), array(), false, true);
wp_enqueue_style(GF_PLUGIN_PREFIX . 'menu-food', plugins_url(GF_PLUGIN_NAME . '/shortcodes/menu-food/assets/css/menu-food.min.css'), array(), false, 'all');

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
$template = $atts['menu_layout'];
if(!$atts['show_category'])
    $template.='-no-category';

$class_to_filter = vc_shortcode_custom_css_class( $atts['css'], ' ' );
$css_class = apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts );
$class_wrap[] = $css_class;
$class_wrap[] = $this->getExtraClass( $atts['el_class'] );
$class_wrap[] = $this->getCSSAnimation($atts['css_animation']);
$atts['class_wrap'] = $class_wrap;
GF_FrameWork_CPT::get_shortcode_template("menu-food/templates/$template",$atts);
