<?php
return array(
	'base' => 'g5plus_icon_box',
	'name' => esc_html__('Icon Box','rica'),
	'icon' => 'fa fa-diamond',
	'category' => GF_SHORTCODE_CATEGORY,
	'params' => array(
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Icon Align', 'rica'),
			'param_name' => 'layout',
			'value' => array(
				esc_html__('Icon Left','rica') => 'align-left',
				esc_html__('Icon Top-Center','rica') => 'align-top-center',
				esc_html__('Icon Left-Middle','rica') => 'align-left-middle',
			),
			'admin_label' => true,
		),
		array(
			'type' => 'textfield',
			'heading' => esc_html__('Title', 'rica' ),
			'param_name' => 'title',
			'value' => '',
			'admin_label' => true,
		),
		array(
			'type' => 'textarea',
			'heading' => esc_html__('Description', 'rica'),
			'param_name' => 'description',
			'value' => '',
			'description' => esc_html__('Provide the description for this element.', 'rica'),
		),
		gf_vc_map_add_icon_type(),
		gf_vc_map_add_icon_font(),
		gf_vc_map_add_icon_image(),
		array(
			'type' => 'dropdown',
			'heading' => esc_html__('Color Scheme','rica'),
			'param_name' => 'color_scheme',
			'value' =>array(
				'Light' => 'cs-light',
				'Dark' => 'cs-dark',
			),
		),
		array(
			'type' => 'vc_link',
			'heading' => esc_html__('Link (url)', 'rica'),
			'param_name' => 'link',
			'value' => '',
		),

		vc_map_add_css_animation(),
		gf_vc_map_add_animation_duration(),
		gf_vc_map_add_animation_delay(),
		gf_vc_map_add_extra_class(),
		gf_vc_map_add_css_editor()
	)
);