<?php
/**
 * Created by PhpStorm.
 * User: phuongth
 * Date: 7/5/2016
 * Time: 11:10 AM
 */

if(!function_exists('posts_orderby_statement')){
    function posts_orderby_statement($orderby,$query) {
        global $wpdb;
        $post_name_in = implode("','",$query->query['post_name__in']);
        $orderby = "FIELD( {$wpdb->posts}.post_name, '$post_name_in')";
        return $orderby;
    }
}

wp_enqueue_style(GF_PLUGIN_PREFIX . 'menu-food-opp', plugins_url(GF_PLUGIN_NAME . '/shortcodes/menu-food-opp/assets/css/menu-food.min.css'), array(), false, 'all');
wp_enqueue_script(GF_PLUGIN_PREFIX . 'menu-food-opp', plugins_url(GF_PLUGIN_NAME . '/shortcodes/menu-food-opp/assets/js/menu-food-opp.js'), array(), false, true);

$atts = vc_map_get_attributes($this->getShortcode(), $atts);
$args = array(
    'post_name__in'  => explode(",", $atts['menu_food_slugs']),
    'posts_per_page' => -1,
    'post_type'      => GF_MENU_FOOD_POST_TYPE,
    'post_status'    => 'publish'
);
add_filter( 'posts_orderby' , 'posts_orderby_statement',10,2 );
$menu_foods = new WP_Query($args);
remove_filter('posts_orderby', 'posts_orderby_statement', 10);
$menu_cats = $icon_image_id = $img_url = '';
$icon_image_id = preg_replace('/[^\d]/', '', $atts['image']);
$img_url = matthewruddy_image_resize_id($icon_image_id, 670, 485);

$class_to_filter = vc_shortcode_custom_css_class($atts['css'], ' ');
$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, $class_to_filter, $this->settings['base'], $atts);
$class_wrap[] = $css_class;
$class_wrap[] = $this->getExtraClass($atts['el_class']);
$class_wrap[] = $this->getCSSAnimation($atts['css_animation']);
$atts['class_wrap'] = $class_wrap;
$atts['class_wrap'][] = 'menu-food-opp-wrap ' . $atts['image_location'];

?>
<div class="<?php echo implode(' ', $atts['class_wrap']); ?>">
    <div class="image-wrap">
        <img src="<?php echo esc_url($img_url) ?>"/>
    </div>
    <div class="menu-item-list item-box-shadow">
        <div class="inner-wrap">
            <div class="list">
            <span class="icon">
                <?php if ($atts['icon_type'] === 'image'):
                    if (!empty($atts['icon_image'])):
                        $icon_image_id = preg_replace('/[^\d]/', '', $atts['icon_image']);
                        $icon_image_src = wp_get_attachment_image_src($icon_image_id, 'full');
                        if (!empty($icon_image_src[0])) {
                            $icon_image_src = $icon_image_src[0];
                        }
                        ?>
                        <img src="<?php echo esc_url($icon_image_src) ?>"
                             alt="<?php echo the_title_attribute(array('post' => $icon_image_id, 'echo' => false)) ?>"/>
                    <?php endif; ?>
                <?php else: ?>
                    <i class="<?php echo esc_attr($atts['icon_font']) ?>"></i>
                <?php endif; ?>
            </span>
                <?php
                $menu_cats = array();
                while ($menu_foods->have_posts()) : $menu_foods->the_post();
                    $terms = get_the_terms(get_the_ID(), GF_MENU_FOOD_CATEGORY_TAXONOMY);
                    $menu_cats = array();
                    if ( $terms && ! is_wp_error( $terms ) ) {
                        foreach ( $terms as $term ) {
                            $menu_cats[] = $term->name;
                        }
                    }

                    ?>
                    <ul>
                        <li class="menu-title">
                            <span class="title"><?php the_title() ?></span>
                            <span><?php echo get_post_meta(get_the_ID(), 'food-price', true) ?></span>
                        </li>
                        <li><?php the_excerpt(); ?></li>
                    </ul>
                <?php endwhile;
                wp_reset_postdata();
                ?>
            </div>

        </div>

    </div>
</div>
