<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 7/19/2016
 * Time: 1:51 PM
 */
$width = 370;
$height = 480;

$post_thumbnail_id = get_post_thumbnail_id(get_the_ID());
$thumb = matthewruddy_image_resize_id($post_thumbnail_id, $width, $height);
$title = get_the_title(get_the_ID());
$price = get_post_meta(get_the_ID(), '_regular_price', true);
$sale_price = get_post_meta(get_the_ID(), '_sale_price', true);
$feature = get_post_meta(get_the_ID(), 'food-feature', true);
$currency = function_exists('get_woocommerce_currency_symbol') ? ' ' . get_woocommerce_currency_symbol() : '';
add_action('g5plus_shortcode_product_rating','woocommerce_template_loop_rating');
$thumb_full = wp_get_attachment_image_src( $post_thumbnail_id, 'full' );
$attachment_ids = rand();
?>
<div class="g5plus-product-item">
    <div class="gf-product-thumbnail">
        <?php do_action('g5plus_shortcode_products');?>
        <a class="zoomGallery" href="<?php echo esc_url($thumb_full[0])?>" title="<?php echo esc_attr($title);?>" data-thumb-src="<?php echo esc_url($thumb_full[0])?>" data-rel="lightGallery" data-gallery-id="<?php echo esc_attr($attachment_ids)?>">
            <img src="<?php echo esc_url($thumb)?>" alt="<?php echo esc_html($title);?>">
        </a>
    </div>
    <div class="entry-title-price">
        <h2 class="product-title">
            <a href="<?php echo esc_url(get_permalink(get_the_ID()));?>">
                <?php echo esc_html($title);?>
            </a>
        </h2>
        <?php if(!empty($price)):?>
            <div class="price">
                <?php if(!empty($sale_price)):?>
                    <del><span class="price-sale"><?php echo esc_html($currency.$sale_price);?></span></del>
                <?php endif;?>
                <span class="price-primary"><?php echo esc_html($currency.$price);?></span>
            </div>
        <?php endif;?>
    </div>
</div>